[package]
name = "google-cloud-playground"
version = "0.1.0"
edition = "2021"

[dependencies]
eyre = "0.6.6"
log = "0.4"
tracing = "0.1"
tracing-subscriber = { version = "0.3", features = ["env-filter"] }
tokio = { version = "1.15", features = ["macros", "rt-multi-thread", "fs"] }
google-authz = { version = "1.0.0-alpha.2", features = ["tonic"] }
#console-subscriber = "0.1"
bytes = "1.1.0"
# grpc + gcp
tonic = { version = "0.6", features = ["tls", "tls-webpki-roots"] }
prost = { version = "0.9" }
prost-types = { version = "0.9" }
google-api-proto = { version = "1.0.0-alpha", features = ["google-cloud-translation-v3", "google-cloud-speech-v1"] }
tokio-stream = "0.1.8"
futures-util = "0.3"
async-stream = "*"
#glib = "0.15.4"
#gst = { package = "gstreamer", version = "0.18.3" }
#gstreamer-base = "0.18.0"
